package com.prolog.rdc.tms.app.service;

import com.prolog.rdc.tms.app.model.dto.AppointmentConfirmationDTO;
import com.prolog.rdc.tms.app.model.dto.PendingFullLinkQueryDTO;
import com.prolog.rdc.tms.app.model.dto.PendingPickUpDetailQueryDTO;
import com.prolog.rdc.tms.app.model.vo.*;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

public interface PendingFullLinkService {

    List<PendingFullLinkQueryDTO> pendingFullLinkQuery(PendingFullLinkQueryVO pendingFullLinkQueryVO) throws Exception;

    AppointmentConfirmationDTO fullLinkAppointmentConfirmation(FullLinkAppointmentConfirmationVO vo) throws Exception;

    void pendingFullLinkPickUpSignIn(PendingFullLinkPickUpSignInVO pendingPickUpSignInVO) throws Exception;

    List<PendingPickUpDetailQueryDTO> pendingFullLinkPickUpStartShipment(PendingFullLinkPickUpStartShipmentVO pendingPickUpStartShipmentVO) throws Exception;

    void autoCheckIn(AutoCheckInVO autoCheckInVO) throws Exception;
}
